#!/usr/bin/env bash

set -e

echo "installing tailscale" | logger

systemctl stop tailscaled.service ||:
systemd-sysext unmerge ||:

mkdir -p /etc/extensions/tailscale
mkdir -p /home/deck/.local/share/tailscale/steamos
wget -O /home/deck/.local/share/tailscale/steamos/tailscale_sysext_1.24.2.tar.gz https://xena.greedo.xeserv.us/pkg/ts-sysext/tailscale_sysext_1.24.2.tar.gz

tar xzf /home/deck/.local/share/tailscale/steamos/tailscale_sysext_1.24.2.tar.gz -C /etc/extensions/tailscale
systemd-sysext merge
systemctl start tailscaled.service
